import request from '/@/utils/request';

export function emergencyPlanLogApi(){
    return{
        // 应急预案启动记录一览
        getEmergencyPlanLogList: (params: object) => {
            return request({
                url: '/emergencyPlanLog/page/list',
                method: 'post',
                data:params
            })
        },
        // 应急预案启动记录新增
        addEmergencyPlanLog:(params:object)=>{
            return request({
                url:"/emergencyPlanLog/add",
                method:"post",
                data:params
            })
        },
        // 应急预案启动记录详情
        seeEmergencyPlanLog:(params:number)=>{
            return request({
                url:`/emergencyPlanLog/info/${params}`,
                method:"get",
            })
        },
        // 应急预案启动记录修改
        editEmergencyPlanLog:(params:object)=>{
            return request({
                url:"/emergencyPlanLog/update",
                method:"post",
                data:params
            })
        },
        // 应急预案启动记录删除
        deleteEmergencyPlanLog:(params:object)=>{
            return request({
                url:`/emergencyPlanLog/batchDelete/${params}`,
                method:"get",
            })
        },
    }
}